< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package objectstore
  Definition Classes
    hmrc
-  package client
  Definition Classes
    objectstore
-  package play
  Definition Classes
    client
-  package test
  Definition Classes
    play
-  object stub
  Definition Classes
    test
- StubObjectStoreClient
- StubPlayObjectStoreClient
- StubPlayObjectStoreClientEither

c

uk.gov.hmrc.objectstore.client.play.test.stub

# StubPlayObjectStoreClient 

###

#### class StubPlayObjectStoreClient extends PlayObjectStoreClient with StubObjectStoreClient[Future]

Linear Supertypes
StubObjectStoreClient[Future], PlayObjectStoreClient, ObjectStoreClient[Future, Request, Response, ResBody], AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. StubPlayObjectStoreClient
2. StubObjectStoreClient
3. PlayObjectStoreClient
4. ObjectStoreClient
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new StubPlayObjectStoreClient(config: ObjectStoreClientConfig)(implicit m: Materializer, ec: ExecutionContext)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val M: PlayMonad[Future]
   Attributes
     protected
   Definition Classes
     StubPlayObjectStoreClient → StubObjectStoreClient
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
7.  val config: ObjectStoreClientConfig
   Definition Classes
     StubPlayObjectStoreClient → StubObjectStoreClient
8.  def deleteObject(path: File, owner: String = config.owner)(implicit hc: HeaderCarrier): Future[Unit]
   Definition Classes
     StubObjectStoreClient
9.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
10.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
11.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
12.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  def getObject[CONTENT](path: File, owner: String = config.owner)(implicit cr: ObjectStoreContentRead[Future, ResBody, CONTENT], hc: HeaderCarrier): Future[Option[Object[CONTENT]]]
    Definition Classes
      StubObjectStoreClient
14.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
16.  def listObjects(path: Directory, owner: String = config.owner)(implicit hc: HeaderCarrier): Future[ObjectListing]
    Definition Classes
      StubObjectStoreClient
17.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  def putObject[CONTENT](path: File, content: CONTENT, retentionPeriod: RetentionPeriod = config.defaultRetentionPeriod, contentType: Option[String] = None, owner: String = config.owner)(implicit w: ObjectStoreContentWrite[Future, CONTENT, Request], hc: HeaderCarrier): Future[Unit]
    Definition Classes
      StubObjectStoreClient
21.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
22.  def toString(): String
    Definition Classes
      AnyRef → Any
23.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
24.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
25.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
26.  val wsClient: AhcWSClient
    Attributes
      protected
    Definition Classes
      StubPlayObjectStoreClient → StubObjectStoreClient

### Inherited from StubObjectStoreClient[Future]

### Inherited from PlayObjectStoreClient

### Inherited from ObjectStoreClient[Future, Request, Response, ResBody]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped